Bug 598734 - editing the name of the active saved search is buggy
editing the name of the active saved search is buggy
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 18:52 EDT by Joseph Marques
Modified: 2010-08-12 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-01 18:52:52 EDT
Description of problem:

Depending on the user action that triggers the save, a different bug is triggered


Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Create a saved search
1a. Type "availability=down category=server" into the resource SearchBar
1b. Click the Star image, and enter "down serfers" for the name 
2. Realizing the misspelling, you edit the name
2a. Click the green label, it should turn into an editable text field again
2b. Change the name to "down servers"
3. Save the new name by pressing the enter key
  
Actual results:

the input box does NOT turn back into a label

Expected results:

the input box should turn back into a label with the updated name

Additional info:

The modified saved search name can also be saved by clicking anywhere outside of the editable text field.  This will invoke the 'onblur' event for that text field, which also saves the changes.
Comment 1 Joseph Marques 2010-06-01 20:03:20 EDT
commit 2a516c798cf566e35d3385808bd7858f2a20b91b
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jun 1 20:00:17 2010 -0400

BZ-598734: fix for editing saved search name from the SearchBar
Comment 2 Sunil Kondkar 2010-06-03 06:55:03 EDT
Verified on jon build#197 (Revision: 10629)

Modified saved search name is saved successfully by pressing the enter key and also by clicking outside the editable search name text field.
Comment 3 Corey Welton 2010-08-12 12:59:51 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.